package com.ejie.u74a.model;

/**
 * Clase que representa una ubicacion para la recepcion del material de una solicitud.
 * 
 *  
 */
public class Ubicacion {

	/** Código de la ubicación. */
	private Integer codigoUbicacion;

	/** Código de la oficina cuyo punto de recepción es la ubicación. */
	private String codigoOficina; // TODO revisar Este campo igual sobra

	/** Nombre de la ubicación. */
	private String nombreUbicacion;
	/** Dirección de la ubicación. */
	private String nombreDireccion;
	/** Código postal de la ubicación. */
	private String codigoPostal;
	/** Observaciones de la ubicación. */
	private String observaciones;
	/** Código de la provincia de la ubicación. */
	private Integer codigoProvincia;
	/** Código del municipio de la ubicación. */
	private Integer codigoMunicipio;
	/** Código de la localidad de la ubicación. */
	private Integer codigoLocalidad;
	/** Nombre de la persona de contacto */
	private String nombreContacto;
	/** Teléfono de contacto */
	private String telefono;
	/** número de fax */
	private String fax;
	/** email de contacto */
	private String email;
	/** Extranjero. Determina si la ubicación es extranjera */
	private Integer extranjero;
	/** Dirección extranjera */
	private String direccionExtranjero;

	// Campos externos
	/** Nombre de la provincia de la ubicación. */
	private String nombreProvincia;
	/** Nombre de la provincia de la ubicación en castellano. */
	private String nombreProvinciaCastellano;
	/** Nombre de la provincia de la ubicación en euskera. */
	private String nombreProvinciaEuskera;
	/** Nombre del municipio de la ubicación. */
	private String nombreMunicipio;
	/** Nombre de la localidad de la ubicación. */
	private String nombreLocalidad;

	/**
	 * Obtiene el campo codigoUbicacion
	 * 
	 * @return codigoUbicacion
	 */
	public Integer getCodigoUbicacion() {
		return this.codigoUbicacion;
	}

	/**
	 * Establece el campo codigoUbicacion
	 * 
	 * @param codigoUbicacion codigoUbicacion
	 */
	public void setCodigoUbicacion(Integer codigoUbicacion) {
		this.codigoUbicacion = codigoUbicacion;
	}

	/**
	 * Obtiene el campo codigoOficina
	 * 
	 * @return codigoOficina
	 */
	public String getCodigoOficina() {
		return this.codigoOficina;
	}

	/**
	 * Establece el campo codigoOficina
	 * 
	 * @param codigoOficina codigoOficina
	 */
	public void setCodigoOficina(String codigoOficina) {
		this.codigoOficina = codigoOficina;
	}

	/**
	 * Obtiene el campo nombreUbicacion
	 * 
	 * @return nombreUbicacion
	 */
	public String getNombreUbicacion() {
		return this.nombreUbicacion;
	}

	/**
	 * Establece el campo nombreUbicacion
	 * 
	 * @param nombreUbicacion nombreUbicacion
	 */
	public void setNombreUbicacion(String nombreUbicacion) {
		this.nombreUbicacion = nombreUbicacion;
	}

	/**
	 * Obtiene el campo nombreDireccion
	 * 
	 * @return nombreDireccion
	 */
	public String getNombreDireccion() {
		return this.nombreDireccion;
	}

	/**
	 * Establece el campo nombreDireccion
	 * 
	 * @param nombreDireccion nombreDireccion
	 */
	public void setNombreDireccion(String nombreDireccion) {
		this.nombreDireccion = nombreDireccion;
	}

	/**
	 * Obtiene el campo codigoPostal
	 * 
	 * @return codigoPostal
	 */
	public String getCodigoPostal() {
		return this.codigoPostal;
	}

	/**
	 * Establece el campo codigoPostal
	 * 
	 * @param codigoPostal codigoPostal
	 */
	public void setCodigoPostal(String codigoPostal) {
		this.codigoPostal = codigoPostal;
	}

	/**
	 * Obtiene el campo observaciones
	 * 
	 * @return observaciones
	 */
	public String getObservaciones() {
		return this.observaciones;
	}

	/**
	 * Establece el campo observaciones
	 * 
	 * @param observaciones observaciones
	 */
	public void setObservaciones(String observaciones) {
		this.observaciones = observaciones;
	}

	/**
	 * Obtiene el campo codigoProvincia
	 * 
	 * @return codigoProvincia
	 */
	public Integer getCodigoProvincia() {
		return this.codigoProvincia;
	}

	/**
	 * Establece el campo codigoProvincia
	 * 
	 * @param codigoProvincia codigoProvincia
	 */
	public void setCodigoProvincia(Integer codigoProvincia) {
		this.codigoProvincia = codigoProvincia;
	}

	/**
	 * Obtiene el campo codigoMunicipio
	 * 
	 * @return codigoMunicipio
	 */
	public Integer getCodigoMunicipio() {
		return this.codigoMunicipio;
	}

	/**
	 * Establece el campo codigoMunicipio
	 * 
	 * @param codigoMunicipio codigoMunicipio
	 */
	public void setCodigoMunicipio(Integer codigoMunicipio) {
		this.codigoMunicipio = codigoMunicipio;
	}

	/**
	 * Obtiene el campo codigoLocalidad
	 * 
	 * @return codigoLocalidad
	 */
	public Integer getCodigoLocalidad() {
		return this.codigoLocalidad;
	}

	/**
	 * Establece el campo codigoLocalidad
	 * 
	 * @param codigoLocalidad codigoLocalidad
	 */
	public void setCodigoLocalidad(Integer codigoLocalidad) {
		this.codigoLocalidad = codigoLocalidad;
	}

	/**
	 * Obtiene el campo nombreContacto
	 * 
	 * @return nombreContacto
	 */
	public String getNombreContacto() {
		return this.nombreContacto;
	}

	/**
	 * Establece el campo nombreContacto
	 * 
	 * @param nombreContacto nombreContacto
	 */
	public void setNombreContacto(String nombreContacto) {
		this.nombreContacto = nombreContacto;
	}

	/**
	 * Obtiene el campo telefono
	 * 
	 * @return telefono
	 */
	public String getTelefono() {
		return this.telefono;
	}

	/**
	 * Establece el campo telefono
	 * 
	 * @param telefono telefono
	 */
	public void setTelefono(String telefono) {
		this.telefono = telefono;
	}

	/**
	 * Obtiene el campo fax
	 * 
	 * @return fax
	 */
	public String getFax() {
		return this.fax;
	}

	/**
	 * Establece el campo fax
	 * 
	 * @param fax fax
	 */
	public void setFax(String fax) {
		this.fax = fax;
	}

	/**
	 * Obtiene el campo email
	 * 
	 * @return email
	 */
	public String getEmail() {
		return this.email;
	}

	/**
	 * Establece el campo email
	 * 
	 * @param email email
	 */
	public void setEmail(String email) {
		this.email = email;
	}

	/**
	 * Obtiene el campo nombreProvincia
	 * 
	 * @return nombreProvincia
	 */
	public String getNombreProvincia() {
		return this.nombreProvincia;
	}

	/**
	 * Establece el campo nombreProvincia
	 * 
	 * @param nombreProvincia nombreProvincia
	 */
	public void setNombreProvincia(String nombreProvincia) {
		this.nombreProvincia = nombreProvincia;
	}

	/**
	 * Obtiene el campo nombreProvinciaCastellano
	 * 
	 * @return nombreProvinciaCastellano
	 */
	public String getNombreProvinciaCastellano() {
		return this.nombreProvinciaCastellano;
	}

	/**
	 * Establece el campo nombreProvinciaCastellano
	 * 
	 * @param nombreProvinciaCastellano nombreProvinciaCastellano
	 */
	public void setNombreProvinciaCastellano(String nombreProvinciaCastellano) {
		this.nombreProvinciaCastellano = nombreProvinciaCastellano;
	}

	/**
	 * Obtiene el campo nombreProvinciaEuskera
	 * 
	 * @return nombreProvinciaEuskera
	 */
	public String getNombreProvinciaEuskera() {
		return this.nombreProvinciaEuskera;
	}

	/**
	 * Establece el campo nombreProvinciaEuskera
	 * 
	 * @param nombreProvinciaEuskera nombreProvinciaEuskera
	 */
	public void setNombreProvinciaEuskera(String nombreProvinciaEuskera) {
		this.nombreProvinciaEuskera = nombreProvinciaEuskera;
	}

	/**
	 * Obtiene el campo nombreMunicipio
	 * 
	 * @return nombreMunicipio
	 */
	public String getNombreMunicipio() {
		return this.nombreMunicipio;
	}

	/**
	 * Establece el campo nombreMunicipio
	 * 
	 * @param nombreMunicipio nombreMunicipio
	 */
	public void setNombreMunicipio(String nombreMunicipio) {
		this.nombreMunicipio = nombreMunicipio;
	}

	/**
	 * Obtiene el campo nombreLocalidad
	 * 
	 * @return nombreLocalidad
	 */
	public String getNombreLocalidad() {
		return this.nombreLocalidad;
	}

	/**
	 * Establece el campo nombreLocalidad
	 * 
	 * @param nombreLocalidad nombreLocalidad
	 */
	public void setNombreLocalidad(String nombreLocalidad) {
		this.nombreLocalidad = nombreLocalidad;
	}

	/**
	 * Obtiene el campo extranjero
	 * 
	 * @return extranjero
	 */
	public Integer getExtranjero() {
		return this.extranjero;
	}

	/**
	 * Establece el campo extranjero
	 * 
	 * @param extranjero extranjero
	 */
	public void setExtranjero(Integer extranjero) {
		this.extranjero = extranjero;
	}

	/**
	 * Obtiene el campo direccionExtranjero
	 * 
	 * @return direccionExtranjero
	 */
	public String getDireccionExtranjero() {
		return this.direccionExtranjero;
	}

	/**
	 * Establece el campo direccionExtranjero
	 * 
	 * @param direccionExtranjero direccionExtranjero
	 */
	public void setDireccionExtranjero(String direccionExtranjero) {
		this.direccionExtranjero = direccionExtranjero;
	}

}
